%define upstream_name    Test-Flatten
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Subtest output to a flatten
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildArch:  noarch

%description
Test::Flatten is override Test::More::subtest.

The subtest I think there are some problems.

* 1. Caption is appears at end of subtest block.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-3.mga6
+ Revision: 1034292
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.110.0-2.mga6
+ Revision: 966332
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.110.0-1.mga6
+ Revision: 843665
- update to 0.11

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-5.mga5
+ Revision: 743063
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 686446
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.90.0-3.mga4
+ Revision: 515144
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 373545
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.90.0-1.mga3
+ Revision: 267508
- update to 0.09

* Sat Jun 16 2012 kharec <kharec> 0.80.0-1.mga3
+ Revision: 260973
- update to 0.08

* Tue Feb 21 2012 kharec <kharec> 0.70.0-1.mga2
+ Revision: 211722
- update to 0.07

* Mon Nov 07 2011 kharec <kharec> 0.60.0-1.mga2
+ Revision: 165012
- imported package perl-Test-Flatten


* Mon Nov 07 2011 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
